language: python

python:
  - "2.7"

sudo: false
cache: pip

addons:
  postgresql: "9.6"
  apt:
    packages:
      - expect-dev  # provides unbuffer utility
      - python-lxml # because pip installation is slow

env:
  global:
  - VERSION="10.0" TESTS="0" LINT_CHECK="0" TRANSIFEX="0"
  - TRANSIFEX_USER='transbot@odoo-community.org'
  - secure: "AK5H2gTz//UqzpXRfXsFZOl7CYYGiHlP7nkQhUXCkdfjqVjK5FCtKZME9w3/C4qrx9nT7hwdfeKZ+slvUqvXbibJT0CCBHFUmcYsbAX3/o3j3sYccrsXWCUq17oPtmP2lMI4BC3eBgk1sfFQ+znfEF+DVyEoBuc0X2eg68U5/Ps="

  matrix:
  - LINT_CHECK="1"
  - TRANSIFEX="1"
  - TESTS="1" ODOO_REPO="odoo/odoo" EXCLUDE=l10n_ch_dta
  - TESTS="1" ODOO_REPO="OCA/OCB" EXCLUDE=l10n_ch_dta
#  - TESTS="1" ODOO_REPO="odoo/odoo" INCLUDE=l10n_ch_dta
#  - TESTS="1" ODOO_REPO="OCA/OCB" INCLUDE=l10n_ch_dta

virtualenv:
  system_site_packages: true

install:
  - pip install -q unidecode
  - pip install unicodecsv
  - pip install xlrd # Excel support
  - pip install wand # for Postfinance attachments
  - pip install pycrypto # for Postfinance FDS
  - pip install pyOpenSSL --upgrade
  - pip install pysftp # for Postfinance FDS
  - git clone --depth=1 https://github.com/OCA/maintainer-quality-tools.git ${HOME}/maintainer-quality-tools
  - export PATH=${HOME}/maintainer-quality-tools/travis:${PATH}
  - travis_install_nightly

script:
  - travis_run_tests

after_success:
  - travis_after_tests_success
